Subject: Re: Catching g++ error output
From: [email-masked] (Jim Balter)

18 Apr 1997 06:24:26 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: James Paul Morgan <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

James Paul Morgan wrote:
> 
> Well, this question is less about the Cygnus win32 itself and more about
> one of the tools included with it, but...
> 
> Is there any way to capture the error output from g++ when it fails on a
> compile?  Sometimes, a few simple typos or minor bugs can generate more
> than a screen-full of output, and so I loose the earliest lines.
> 
> On UNIX w/ Xwindows, I can just scroll back within the window.  But
> Windows95 doesn't have that option.  I've tried using '>' to dump it into
> a file, but that didn't work.  (I didn't expect it to as it doesn't on
> UNIX, but I figured I'd try.)
> 
> Any suggestions of some way to manipulate the bash or possibly an add-on
> I could download or some simple trick I've just missed would be appreciated.
> 
> See ya around the Mulberry bush.

You might read up on stderr, bash, redirection of the former by the
latter, and so on.  Any unix textbook or newsgroup will do.

--
<J Q B>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".